Bug 269301 - Poor KDE integration
Poor KDE integration
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: jack-audio-connection-kit (Show other bugs)
7
All All
medium Severity high
: ---
: ---
Assigned To: Andy Shevchenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 16:59 EDT by Philip Ashmore
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-03 11:26:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2007-08-30 16:59:14 EDT
Description of problem:
I want to use JACK as the audio device

Version-Release number of selected component (if applicable):


How reproducible:
very

Steps to Reproduce:
1. Start Control Centre
2. Select Sound/Multimedia/Hardware/Select Audio Device/Jack Audio Connection Kit
3.
  
Actual results:
I got a message box stating:
Sound server informational message:
Error while initializing the sound driver:
Couldn't connect to jackd
The sound server will continue, using the null output device.

Expected results:
I should be enjoying real time audio.

Additional info:
From the documentation it appears that the JACK daemon (jackd) should be started
somewhere - KDE startup maybe?
Comment 1 Andy Shevchenko 2007-09-03 11:26:24 EDT
My investigations show the jack could be used as kde sound engine only after 
starting it in other way. In other words, you should to start jack via 
initscripts or profile environment, or via QJackCtl (just install it by yum and 
start under X session). After jack is started you may choose the Jack as middle-
end sound service.

P.S. If you have some information with another description of the KDE and jack 
integration, you are welcome to reopen this bug. Also do not forget to add 
yourself into jackuser group to gain realtime priority.
Comment 2 Philip Ashmore 2007-09-03 13:52:08 EDT
You can call me picky in this regard!

It just seems to me that the functionality that QJackCtl provides should be
available as a KDE kcontrol page with a build-in ability to manage jackd just
like artsd.

Now that would be good KDE integration.

Note You need to log in before you can comment on or make changes to this bug.